Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iview.tree
Class RefinementTreeNode

    java.lang.Object
      javax.swing.tree.DefaultMutableTreeNode
          ix.iview.tree.RefinementTreeNode

All Implemented Interfaces:
  IXTreeNode, java.io.Serializable, java.lang.Cloneable, javax.swing.tree.MutableTreeNode, javax.swing.tree.TreeNode

    public class RefinementTreeNode

extends javax.swing.tree.DefaultMutableTreeNode
implements IXTreeNode

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.tree.DefaultMutableTreeNode
`allowsChildren, children, EMPTY_ENUMERATION, parent, userObject`

Constructor Summary
`RefinementTreeNode(Refinement ref)`
`RefinementTreeNode(UIRefinement ref)`

Method Summary
`void` | `addChild(IXTreeNode child)`

Methods inherited from class javax.swing.tree.DefaultMutableTreeNode
`add, breadthFirstEnumeration, children, clone, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, setUserObject, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface ix.iface.ui.tree.IXTreeNode
`getPath, getUserObject`

Methods inherited from interface javax.swing.tree.MutableTreeNode
`insert, remove, remove, removeFromParent, setParent, setUserObject`

Methods inherited from interface javax.swing.tree.TreeNode
`children, getAllowsChildren, getChildAt, getChildCount, getIndex, getParent, isLeaf`

Constructor Detail

### RefinementTreeNode

    public RefinementTreeNode(Refinement ref)

### RefinementTreeNode

    public RefinementTreeNode(UIRefinement ref)

Method Detail

### addChild

    public void addChild(IXTreeNode child)

  Specified by:
    `addChild` in interface `IXTreeNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD